Pycharm 2016.1.4 (newest) - "starting container with HostConfig was deprecated since v1.10 and removed in v1.12"

Hello,

I'm getting the following error 

"starting container with HostConfig was deprecated since v1.10 and removed in v1.12"

when trying to configure docker interpreter. This leaves me unable to work as the interpreter gets into "invalid" state.

 

It seems pycharm (or the plugin) is not ready for the newer versions of Docker and it's extremelly difficult to get the older version of Docker installed anyway... if it's an option. Could anyone do something about this?

1 comment

+1... it's reported at https://youtrack.jetbrains.com/issue/PY-19886

 In the mean time, going back to docker toolbox

0

Please sign in to leave a comment.